Loading...
Searching...
No Matches
itk::GPUImageDataManager< ImageType > Class Template Reference

`#include <itkGPUImageDataManager.h>`

## Detailed Description

template<typename ImageType>
class itk::GPUImageDataManager< ImageType >

Definition at line 66 of file itkGPUImageDataManager.h.

Inheritance diagram for itk::GPUImageDataManager< ImageType >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = GPUImageDataManager
using | Superclass = GPUDataManager
Public Types inherited from itk::GPUDataManager
using | ConstPointer = SmartPointer<const Self>
using | MutexHolderType = std::lock_guard<std::mutex>
using | Pointer = SmartPointer<Self>
using | Self = GPUDataManager
using | Superclass = Object

## Public Member Functions

virtual const char * | GetClassName () const
virtual void | Graft (const GPUImageDataManager *data)
| ITK_DISALLOW_COPY_AND_MOVE (GPUImageDataManager)
void | SetImagePointer (typename ImageType::Pointer img)
void | UpdateCPUBuffer () override
void | UpdateGPUBuffer () override
Public Member Functions inherited from itk::GPUDataManager
void | Allocate ()
unsigned int | GetBufferSize ()
virtual const bool & | GetCPUBufferLock ()
void * | GetCPUBufferPointer ()
virtual const bool & | GetGPUBufferLock ()
cl_mem * | GetGPUBufferPointer ()
virtual void | Graft (const GPUDataManager *data)
virtual void | Initialize ()
bool | IsCPUBufferDirty ()
bool | IsGPUBufferDirty ()
| ITK_DISALLOW_COPY_AND_MOVE (GPUDataManager)
void | SetBufferFlag (cl_mem_flags flags)
void | SetBufferSize (unsigned int num)
void | SetCPUBufferDirty ()
void | SetCPUBufferLock (const bool v)
void | SetCPUBufferPointer (void *ptr)
void | SetCPUDirtyFlag (bool isDirty)
void | SetGPUBufferDirty ()
void | SetGPUBufferLock (const bool v)
void | SetGPUDirtyFlag (bool isDirty)
bool | Update ()

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::GPUDataManager
static Pointer | New ()

## Protected Member Functions

| GPUImageDataManager ()
| ~GPUImageDataManager () override=default
Protected Member Functions inherited from itk::GPUDataManager
| GPUDataManager ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~GPUDataManager () override

## Private Attributes

ImageType::Pointer | m_Image {}

## Friends

class | OpenCLKernelManager

## Additional Inherited Members

Protected Attributes inherited from itk::GPUDataManager
unsigned int | m_BufferSize {}
OpenCLContext * | m_Context {}
void * | m_CPUBuffer {}
bool | m_CPUBufferLock {}
cl_mem | m_GPUBuffer {}
bool | m_GPUBufferLock {}
bool | m_IsCPUBufferDirty {}
bool | m_IsGPUBufferDirty {}
cl_mem_flags | m_MemFlags {}
std::mutex | m_Mutex {}

## Member Typedef Documentation

## ConstPointer

template<typename ImageType>

using itk::GPUImageDataManager< ImageType >::ConstPointer = SmartPointer<const Self>

Definition at line 78 of file itkGPUImageDataManager.h.

## Pointer

template<typename ImageType>

using itk::GPUImageDataManager< ImageType >::Pointer = SmartPointer<Self>

Definition at line 77 of file itkGPUImageDataManager.h.

## Self

template<typename ImageType>

using itk::GPUImageDataManager< ImageType >::Self = GPUImageDataManager

Definition at line 75 of file itkGPUImageDataManager.h.

## Superclass

template<typename ImageType>

using itk::GPUImageDataManager< ImageType >::Superclass = GPUDataManager

Definition at line 76 of file itkGPUImageDataManager.h.

## Constructor & Destructor Documentation

## GPUImageDataManager()

template<typename ImageType>

itk::GPUImageDataManager< ImageType >::GPUImageDataManager | ( |  | ) |

inline protected

Definition at line 99 of file itkGPUImageDataManager.h.

## ~GPUImageDataManager()

template<typename ImageType>

itk::GPUImageDataManager< ImageType >::~GPUImageDataManager | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<typename ImageType>

virtual const char * itk::GPUImageDataManager< ImageType >::GetClassName | ( |  | ) | const

virtual

Reimplemented from itk::GPUDataManager.

## Graft()

template<typename ImageType>

virtual void itk::GPUImageDataManager< ImageType >::Graft | ( | const GPUImageDataManager< ImageType > * | data | ) |

virtual

Grafting GPU Image Data

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename ImageType>

itk::GPUImageDataManager< ImageType >::ITK_DISALLOW_COPY_AND_MOVE | ( | GPUImageDataManager< ImageType > |  | ) |

## New()

template<typename ImageType>

Pointer itk::GPUImageDataManager< ImageType >::New | ( |  | ) |

static

## SetImagePointer()

template<typename ImageType>

void itk::GPUImageDataManager< ImageType >::SetImagePointer | ( | typename ImageType::Pointer | img | ) |

## UpdateCPUBuffer()

template<typename ImageType>

void itk::GPUImageDataManager< ImageType >::UpdateCPUBuffer | ( |  | ) |

override virtual

actual GPU->CPU memory copy takes place here

Reimplemented from itk::GPUDataManager.

## UpdateGPUBuffer()

template<typename ImageType>

void itk::GPUImageDataManager< ImageType >::UpdateGPUBuffer | ( |  | ) |

override virtual

actual CPU->GPU memory copy takes place here

Reimplemented from itk::GPUDataManager.

## Friends And Related Symbol Documentation

## OpenCLKernelManager

template<typename ImageType>

friend class OpenCLKernelManager

friend

Definition at line 69 of file itkGPUImageDataManager.h.

## Field Documentation

## m_Image

template<typename ImageType>

ImageType::Pointer itk::GPUImageDataManager< ImageType >::m_Image {}

private

Definition at line 103 of file itkGPUImageDataManager.h.

Generated on 1768596610 for elastix by 1.15.0 |